import { fetchMovies } from '#/src/movies.js';
import { curateMoviesQuery } from '#/src/web/movies.js';

export async function onBeforeRender(pageContext) {
	const movieResults = await fetchMovies(await curateMoviesQuery({
		...pageContext.urlQuery,
		scope: pageContext.routeParams.scope || 'latest',
	}), {
		page: Number(pageContext.routeParams.page) || 1,
		limit: Number(pageContext.urlParsed.search.limit) || 50,
		dedupe: true,
	}, pageContext.user, {
		restriction: pageContext.geo.restriction,
	});

	return {
		pageContext: {
			title: 'Movies',
			pageProps: {
				...movieResults,
			},
		},
	};
}
